/*******************  Pinc.h  *********************************

Header included by all Pinc Source Files

******************************************************************/

#include <stdio.h>
#include <ctype.h>

#if IMPLEMENTATION == OS9
#include <strings.h>
#else
#include <string.h>
#endif

#include <setjmp.h>

#if IMPLEMENTATION != RISCOS
#if IMPLEMENTATION != OS9
#if IMPLEMENTATION == TurboC
#include <mem.h>
#else
#include <memory.h>
#endif
#include <fcntl.h>
#endif
#endif


#if IMPLEMENTATION == SUN
/* ag-special. The following is commented out for compatibilty
               with SunOS 3.x. Can be uncommented for SUNOS 4.0
               to provide proper key? etc.
*/

#include <termio.h>
#include <cgidefs.h>
#else
#if IMPLEMENTATION == MicrosoftC
#include <process.h>
#include <conio.h>
#include <stdlib.h>
#else
#if IMPLEMENTATION == TurboC
#include <process.h>
#include <conio.h>
#include <stdlib.h>
#else
#if IMPLEMENTATION == OS9
/* nothing at the moment */
#else
#if IMPLEMENTATION == Linux || IMPLEMENTATION == Linux64
/* nothing at the moment */
#else
#if IMPLEMENTATION == MinGW64
#include <process.h>
#include <conio.h>
#include <stdlib.h>
#else
     #error No Implementation Specified
#endif
#endif
#endif
#endif
#endif
#endif
